Subject: Re: bug#34852: 26.1; seq-intersection ignores nil as element

From: Nicolas Petton <[email-masked]>
Date: Mon, 18 Mar 2019 21:14:27 +0100

Michael Heerdegen <[email-masked]> writes:

> I think most current appearances are using it as a predicate, however.

You have a point and we also have `seq-find' which returns the element
found.

> What do you intend - obsolete seq-contains?  I don't think we should
> have an additional function - seq-contains already overlaps with
> seq-some.

I didn't think about it, obsoleting `seq-contains' would work as well,
and it can actually make sense.  I would then name the new function
`seq-contains-p'.

> Why would you have to rename it btw?  To add a -p (I ask because
> seq-some also doesn't end with -p)?

Yes, to add a -p suffix.

Nicolas